import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
    state: {
        windowWidth: 1920 + 1080,
        typeFire: 0,
        wsUrl: '121.40.217.77:8082',
        weaterRes: {}
    },
    mutations: {
        changClient(state, val) {
            state.windowWidth = val
        },
        changTypeFire(state, val) {
            state.typeFire = val
        },
        changWeater(state, val) {
            state.weaterRes = val
            console.log(state.weaterRes)
        }
    },
    actions: {},
    modules: {}
})